#ifndef LED_CANDLE_CLASS_H
#define LED_CANDLE_CLASS_H

#if defined(ARDUINO) && ARDUINO >= 100
  #include "Arduino.h"
#else
  #include "WProgram.h"
  #include <pins_arduino.h>
#endif

class ledCandle
{
  public:
  ledCandle (int _ledPin);
  ledCandle (int _ledPin, int _maxPWM);
  void updateLedCandle (void);
  
  private:
  int ledPin;
  int minPWM;
  int maxPWM;
  int minDelayMS;
  int maxDelayMS;
  int currentDelayMS;
  int currentPWM;
  int targetPWM;
  unsigned long int lastMillis;
};

#endif LED_CANDLE_CLASS_H
